Bug 1091300 - Anaconda Support for Server Roles
Summary: Anaconda Support for Server Roles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
URL:
Whiteboard: ChangeAcceptedF21 SystemWideChange Ac...
Depends On:
Blocks: F23FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-04-25 10:44 UTC by Jaroslav Reznik
Modified: 2019-08-19 07:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-19 21:09:40 UTC
pbokoc: fedora_requires_release_note-


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-25 10:44:28 UTC
This is a tracking bug for Change: Anaconda Support for Server Roles
For more details, see: http://fedoraproject.org//wiki/Changes/AnacondaServerRoleSupport

The Fedora Server SIG will develop a plug-in for Anaconda to support the deployment of Fedora Server Roles in kickstart files.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:32 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Stephen Gallagher 2014-07-07 12:38:35 UTC
Given the time remaining, we may need to push this out partially or fully to Fedora 22.

The current plan will be to document a workaround for the %post section of the kickstart using one-time systemd unit files.

Comment 3 Jaroslav Reznik 2014-07-08 12:57:29 UTC
Ok, thanks for update. Let me know if you decide to move it to F22 and I'll proceed with it.

Comment 4 Stephen Gallagher 2014-08-28 17:23:42 UTC
This will be deferred to Fedora 22 at this point. Please make the necessary changes, Jaroslav.

Comment 5 Jaroslav Reznik 2014-08-29 09:21:27 UTC
(In reply to Stephen Gallagher from comment #4)
> This will be deferred to Fedora 22 at this point. Please make the necessary
> changes, Jaroslav.

Thanks for letting me know, done.

Comment 6 Petr Bokoc 2014-10-14 12:13:20 UTC
Setting release notes flag to - for F21.

Comment 7 Jaroslav Reznik 2015-03-03 15:44:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 8 Jan Kurik 2015-08-06 10:11:35 UTC
I would like to ask the maintainer of this Change to close this tracking bug in case the Change has been fully implemented in F22.
If not implemented in F22, than please switch the "Version" to "rawhide".

... or let me know, I will do the changes then ...

Thanks,
Jan

Comment 9 Stephen Gallagher 2015-08-06 11:43:52 UTC
OK, this is actually kind of fuzzy. I forgot that this Change tracker was still open. Technically yes, we should move this to Fedora 24. However, rolekit upstream will actually have this as part of the release that will go into Fedora 23. On the other hand, there won't be any Anaconda-specific plumbing to accommodate it (we'll just be able to run commands in %post that will Do The Right Thing).

So I guess moving it to Rawhide for now makes sense, since it probably isn't completely satisfied until we have the Anaconda plugin too.

Comment 10 Stephen Gallagher 2015-09-28 15:23:59 UTC
This is now possible to do in all supported roles as part of rolekit 0.4.0.

It can be accomplished by using any standard 'rolectl deploy' command in the kickstart %post section and adding the '--deferred' option to it. For example:

```
%post
rolectl deploy domaincontroller --name=example.com --deferred
```

Comment 11 Fedora Update System 2015-09-28 15:31:28 UTC
rolekit-0.4.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 12 Fedora Update System 2015-09-29 06:21:55 UTC
rolekit-0.4.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 13 Fedora Update System 2015-10-07 17:30:25 UTC
rolekit-0.4.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 14 Fedora Update System 2015-10-08 10:31:03 UTC
rolekit-0.4.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 15 Fedora Blocker Bugs Application 2015-10-13 12:01:03 UTC
Proposed as a Freeze Exception for 23-final by Fedora user sgallagh using the blocker tracking app because:

 The functionality for deploying roles in kickstart was present but buggy in Beta. This version of the feature will work properly. Given that this feature is only useful at install time, it would be highly preferred to get this onto the frozen media set.

Comment 16 Mike Ruckman 2015-10-13 15:57:18 UTC
Provided it gets thoroughly tested, I'm fine with this coming in during freeze.

Comment 17 Fedora Update System 2015-10-14 18:29:34 UTC
rolekit-0.4.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 18 Fedora Update System 2015-10-14 22:53:24 UTC
rolekit-0.4.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rolekit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-40a4d314f3

Comment 19 Adam Williamson 2015-10-15 20:02:36 UTC
+1 this to get the newer rolekit into Final.

Comment 20 Adam Williamson 2015-10-15 21:12:50 UTC
Discussed at 2015-10-15 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-15/f23-blocker-review.2015-10-15-20.11.log.txt . Accepted as a freeze exception issue: there's considerable value in having a rolekit that supports kickstart-based role deployment, and it can't be added post-release.

Comment 21 Fedora Update System 2015-10-19 21:09:34 UTC
rolekit-0.4.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.